# Interface FloatValue

All Superinterfaces:
  `Comparable<FloatValue>, Mirror, PrimitiveValue, Value`

public interface FloatValue extends PrimitiveValue, Comparable<FloatValue>
Provides access to a primitive `float` value in the target VM.

Since:
  1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compares the specified Object with this FloatValue for equality.
  `int`
  `hashCode()`
  Returns the hash code value for this FloatValue.
  `float`
  `value()`
  Returns this FloatValue as a float.

  ### Methods declared in interface Comparable

  `compareTo`

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface PrimitiveValue

  `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

  ### Methods declared in interface Value

  `type`

- ## Method Details

  - ### value

    float value()
    Returns this FloatValue as a float.
    Returns:
      the `float` mirrored by this object.

  - ### equals

    boolean equals(Object obj)
    Compares the specified Object with this FloatValue for equality.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare.
    Returns:
      true if the Object is a FloatValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    int hashCode()
    Returns the hash code value for this FloatValue.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the integer hash code
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`